Subject: Re: [PATCH v2] gnu: Add grimshot.

From: Maxime Devos <[email-masked]>
Date: Tue, 26 Jul 2022 20:17:33 +0200

On 26-07-2022 19:58, Antero Mejr wrote:
> Maxime, this code: (source (file-append (package-source sway) "/contrib"))
> didn't work for me, but inheriting the package source worked
> with --with-git-url.

It works for me, see attachment (*). However, I've also tested out 
--with-git-url, and it appears that --with-git-url does work when using 
file-append, but the 'file-append' is removed, so I still don't think we 
should go for 'file-append' (unless you want to change --with-git-url to 
support file-append first).

(*) not properly styled, as "guix style" only supports packages, not files.

(Also, I'll write some other comments on the v2)

Greetings,
Maxime.